POST
/reserved_ips/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/reserved_ips/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/reserved_ips/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/reserved_ips/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({}),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
Example generated
{}Responses
Section titled “Responses”IP allocated successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
ip_address
string format: ipv4
service_name
string
created_at
string format: date-time
status
string
reserved_by
object
id
integer
name
string
email
string format: email
username
string
service_type
string
service_id
integer
errors
object
message
string
Example
{ "code": 200, "data": { "id": 46, "ip_address": "216.48.185.130", "service_name": "", "created_at": "2025-04-09T11:00:22.102193Z", "status": "Available", "reserved_by": { "id": 4947, "name": "xyz", "email": "abc@e2enetworks.com", "username": "abc@e2enetworks.com" }, "service_type": "", "service_id": null }, "errors": {}, "message": "IP 216.48.185.130 allocated successfully."}